Skip to main content
Contacts

Get a list of contacts

'This method requires the Contacts:Get permission to be associated with your role.'

GET
/fm/contacts
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
table_nameenum<string>queryrequired

Table name

Available options: fm_clients, fm_client_groups, fm_client_cost_centres, fm_client_divisions
record_idstringqueryrequired

Record id in the linked table

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
include_inactive_flagenum<string>querydefault:no

Set to yes if inactive contacts required in the list. Note 'deleted' records cannot be returned.

Available options: yes, no
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 1
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1